<?php

// ini_Set('display_errors',1);

session_start();

require_once ("../../config/Cado.php");

require_once ("../venta/cVenta.php");

$oVenta = new cVenta();

require_once ("../venta/cVentapago.php");

$oVentapago = new cVentapago();

require_once ("../ingreso/cIngreso.php");

$oIngreso = new cIngreso();



require_once ("../notacredito/cNotacredito.php");

$oNotacredito = new cNotacredito();



require_once ("../notadebito/cNotadebito.php");

$oNotadebito = new cNotadebito();



require_once("../guiaremision/cGuiaremision.php");

$oGuiaremision = new cGuiaremision();



require_once ("../historial/cHistorial.php");

$oHistorial = new cHistorial();



require_once ("../formatos/formato.php");



$fecha1 = $_POST['txt_fil_ven_fec1gra']; 

$fecha2 = $_POST['txt_fil_ven_fec2gra']; 



require_once ("../empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();



$dts1emp=$oEmpresa->mostrar_filtro();

$numrows_emp= mysqli_num_rows($dts1emp);



$dts2emp=$oEmpresa->mostrar_filtro();

$numrows_emp2= mysqli_num_rows($dts2emp);



	if($_POST['txt_fil_docnumgra']!="" || $fecha1 != $fecha2 || $_POST['cmb_fil_doc_idgra']!="" || $_POST['txt_fil_cligra'] !=""){

		

		$user_agen = $_SERVER['HTTP_USER_AGENT'];

		$mod = 3;

		$mod_ide = 0;

		$det = 'MOSTRANDO GRAFICA DE VENTAS SEGUN ['.$fecha1.' | '.$fecha2.' | '.$_POST['cmb_fil_doc_id'].' | '.

		$_POST['txt_fil_docnum'].' | '.$_POST['txt_fil_cli'].']';

		$fec = date('Y-m-d');

		$doc_id = '';

		$numdoc = '';

		$ip = mostrar_ip();

	 	

		$oHistorial->insertar(

		fecha_mysql($fec),

		$det,

		$ip,

		intval($_SESSION['usuario_id']),

		intval($mod),

		intval($mod_ide),

		intval($doc_id),

		$numdoc

		);



		}

		

		



if($_POST['cmb_fil_mon_idgra']==1)

 {

	 $lbl= ' S/'; 

 }

 else if($_POST['cmb_fil_mon_idgra']==2)

 {

	 $lbl= ' US$';

 }







?>



<div class="col-lg-12 col-sm-12 col-xs-12"  >

<div class="row"  >

	<div id="container_graficageneral" class="col-lg-6 col-sm-6 col-xs-12" style="height:400px;" >jkhjghfbvdsfdgtf</div>

	

	<div id="container_graficageneral2" class="col-lg-6 col-sm-6 col-xs-12 float-right d-inline" style="height:400px;" ></div>

</div>

</div>



 <script type="text/javascript">

  $(function() {  

  

  

  

  

  

  

  Highcharts.setOptions({

    //colors: ['#56A419', '#004887', '#f77d02', '#02f7ca', '#f7027c'],

    chart: {

        style: {

            fontFamily: 'Comic Sans MS'

        }

    },

	lang: {

				months: [

						'Enero', 'Febrero', 'Marzo', 'Abril',

						'Mayo', 'Junio', 'Julio', 'Agosto',

						'Septiembre', 'Octubre', 'Noviembre', 

						'Diciembre'

					],

					weekdays: [

					'Domingo', 'Lunes', 'Martes', 'Miercoles',

					'Jueves', 'Viernes', 'Sabado'

					]

		},

			

});

  

  

  

  

  

  



	$("#container_graficageneral").highcharts({

			

	 chart: {

        type: 'spline'

    },

    title: {

        text: 'Ventas totales agrupadas por fechas'

    },

    subtitle: {

        text: '--'

    },

    xAxis: {

        type: 'datetime',

        dateTimeLabelFormats: { // don't display the dummy year

            month: '%e. %b',

            year: '%b'

        },

        title: {

            text: 'Fecha'

        }

    },

    yAxis: {

        title: {

            text: 'Relatividad en <?php echo $lbl; ?>'

        },

        min: 0

    },

    tooltip: {

        headerFormat: '<b>{series.name}</b><br>',

        pointFormat: '{point.x:%e. %b}: {point.y:.2f} <?php echo $lbl; ?>'

    },



    plotOptions: {

        series: {

            marker: {

                enabled: true

            }

        }

    },



    colors: ['#CC0000', '#0d47a1', '#06C'],



    series: [

			

			<?php if($numrows_emp>0){

				while($dtemp = mysqli_fetch_array($dts1emp)){

				

				$emp_id = $dtemp['tb_empresa_id'];

				$emp_nomcom = $dtemp['tb_empresa_nomcom'];

				?>

				{

				name: "<?php echo $emp_nomcom; ?>",

				data: [

				<?php 

				

				$dts1gra=$oVenta->mostrar_grafica1(fecha_mysql($fecha1),fecha_mysql($fecha2),$_POST['cmb_fil_doc_idgra'],$_POST['txt_fil_docnumgra'],

				$_POST['hdd_fil_cli_idgra'],$_POST['cmb_fil_mon_idgra'],$_POST['cmb_fil_ven_estgra'],$emp_id);

				$num_rows1gra= mysqli_num_rows($dts1gra);

				if($num_rows1gra>0){

					while($dt1gra = mysqli_fetch_array($dts1gra)){

						

						$tot = $dt1gra['tb_venta_tot'];

						$fecha = $dt1gra['tb_venta_fec'];

						list($anio, $mes, $dia) = explode("-",$fecha);

						

						?>

						[Date.UTC(<?php echo $anio; ?>, <?php echo $mes; ?>, <?php echo $dia; ?>), <?php echo $tot; ?>],

						<?php 

					}					

				}	

				?>			

				]

				},

				<?php	

				}

				

			} ?>

			

				

	],



    responsive: {

        rules: [{

            condition: {

                maxWidth: 500

            },

            chartOptions: {

                plotOptions: {

                    series: {

                        marker: {

                            radius: 2.5

                        }

                    }

                }

            }

        }]

    }		

    

	

	});

	

	

	

	

	

	

	

	$("#container_graficageneral2").highcharts({

			

	chart: {

        type: 'column'

    },



    title: {

        text: 'Formas de pago expresadas y agrupadas'

    },



    xAxis: {

        categories: ['Canceladas', 'Deudas']

    },



    yAxis: {

        allowDecimals: false,

        min: 0,

        title: {

            text: 'Relatividad <?php echo $lbl; ?>'

        }

    },



    tooltip: {

        formatter: function () {

            return '<b>' + this.x + '</b><br/>' +

                this.series.name + ': <?php echo $lbl; ?> ' + this.y + '<br/>' +

                'Total: <?php echo $lbl; ?> ' + this.point.stackTotal;

        }

    },



    plotOptions: {

        column: {

            stacking: 'normal'

        }

    },



	//colors: [['#ef9a9a', '#0d47a1']],



    series: [

	

		<?php if($numrows_emp2>0){

				while($dtemp2 = mysqli_fetch_array($dts2emp)){

				

				$emp_id = $dtemp2['tb_empresa_id'];

				$emp_nomcom = $dtemp2['tb_empresa_nomcom'];

				

				

				

			$dts2gra=$oVenta->mostrar_grafica2(fecha_mysql($fecha1),fecha_mysql($fecha2),$_POST['cmb_fil_doc_idgra'],$_POST['txt_fil_docnumgra'],

				$_POST['hdd_fil_cli_idgra'],$_POST['cmb_fil_mon_idgra'],$_POST['cmb_fil_ven_estgra'],$emp_id);

				

			while($dt2gra = mysqli_fetch_array($dts2gra)){

				

				

			$dts2=$oVentapago->filtrar($dt2gra['tb_venta_id']);

			while($dt2 = mysqli_fetch_array($dts2))

			{

				$monto = $dt2['tb_ventapago_mon']; 

      

				$abonos=0;



				$mod_id=3;

				$est1=1;

				$est2=2;

				$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$dt2['tb_ventapagoingresos_id'],$est1,$est2);

				while($dt3 = mysqli_fetch_array($dts3))

				{

					$abonos+= $dt3['tb_ingreso_imp'];

				} 

				mysqli_free_result($dts3);



				$saldo = ($monto - $abonos);



				$total_abono+=$abonos;

				$total_saldo+=$saldo;

			}

    

				$montototal += $monto;

			}

			

					

					$can = $total_abono;

					$deb = $total_saldo;

				

	

				

		?>

		{

			name: '<?php echo $emp_nomcom; ?>',

			data: [<?php echo $can; ?>, <?php echo $deb; ?>],

			stack: 'male'

		},	

				

		<?php }

		}?>

	

	

	]

	

	});

	

	

  }); 

</script>  